package com.cneeds.notouch.operation;

import com.cneeds.notouch.NoTouchParam;

import static com.cneeds.notouch.NoTouchConstant.SpecialFlag.BAIDU_DIALOG_LEVEL_FLAG;
import static com.cneeds.notouch.NoTouchConstant.SpecialFlag.DIALOG_LEVEL_FLAG;
import static com.cneeds.notouch.NoTouchConstant.SpecialFlag.DOUBLE_LEVEL_HORIZONTAL_FLAG;
import static com.cneeds.notouch.NoTouchConstant.SpecialFlag.DOUBLE_LEVEL_VERTICAL_FLAG;
import static com.cneeds.notouch.NoTouchConstant.SpecialFlag.SINGLE_BAIDU_LEVEL_FLAG;
import static com.cneeds.notouch.NoTouchConstant.SpecialFlag.SINGLE_LEVEL_FLAG;
import static com.cneeds.notouch.NoTouchConstant.SpecialFlag.SINGLE_LEVEL_FLAG2;

public class NoTouchOperationFactory {

    public static NoTouchOperation createOperation(NoTouchParam noTouchParam){
        switch (noTouchParam.getSpecialFlag()){
            case SINGLE_LEVEL_FLAG:
                return new SingleLevelOperation(noTouchParam);
            case SINGLE_LEVEL_FLAG2:
                return new SingleLevelOperation2(noTouchParam);
            case DOUBLE_LEVEL_HORIZONTAL_FLAG:
                return new DoubleLevelHorizontalOperation(noTouchParam);
            case DOUBLE_LEVEL_VERTICAL_FLAG:
                return new DoubleLevelVerticalOperation(noTouchParam);
            case SINGLE_BAIDU_LEVEL_FLAG:
                return new SingleBaiduOperation(noTouchParam);
            case DIALOG_LEVEL_FLAG:
                return new DialogLevelOperation(noTouchParam);
            case BAIDU_DIALOG_LEVEL_FLAG:
                return new SingleBaiduDialogOperation(noTouchParam);
            default:
                break;
        }

        return null;
    }
}
