package com.cneeds.rvhelpers.viewholder;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.Toast;

import com.cneeds.rvhelpers.R;
import com.cneeds.rvhelpers.adapter.GridRecyclerAdapter;
import com.cneeds.rvhelpers.entity.ContentBean;

public class ContentHolder extends BaseViewHolder<ContentBean> {

    ImageView mImage;
    ImageView mIvHighlightBg;
    ImageView mIvSelect;
    private Context mContext;

    public ContentHolder(Context context, ViewGroup root) {
        super(context, root, R.layout.item_grid_content);
        mContext = context;
        mImage = (ImageView) itemView.findViewById(R.id.image_icon);
        mIvHighlightBg = (ImageView) itemView.findViewById(R.id.iv_highlight_bg);
        mIvSelect = (ImageView) itemView.findViewById(R.id.iv_select);
    }

    @Override
    public void bindData(final ContentBean s, int position, final GridRecyclerAdapter adapter) {
        /**设置背景*/
//        Drawable drawable = mContext.getResources().getDrawable(R.drawable.ic_launcher);
//        Picasso.with(mImage.getContext()).load(s.getUrl()).error(drawable).into(mImage);
//        mImage.setImageURI(Uri.fromFile(new File(s.getUrl())));

        /**keyEvent 按键事件的光标框框*/
        if (adapter.getCurrentHighLightPosition() == position) {
            adapter.setHighListItemView(itemView);
            Drawable highlightDrawable = mContext.getResources().getDrawable(R.drawable.rect_solid_border_ff4242);
            mIvHighlightBg.setImageDrawable(highlightDrawable);
        } else {
            Drawable normalDrawable = mContext.getResources().getDrawable(R.drawable.rect_border_bg_242629);
            mIvHighlightBg.setImageDrawable(normalDrawable);
        }


        /**编辑模式切换和选择删除*/
        boolean selected = adapter.isSelected(s);
        final int finalPosition = position;
        if (adapter.getEditMode()) {
            mIvSelect.setVisibility(View.VISIBLE);
            if (selected) {
                Drawable checkedDrawable = mContext.getResources().getDrawable(R.drawable.img_record_lock_success);
                mIvSelect.setImageDrawable(checkedDrawable);
            } else {
                Drawable uncheckedDrawable = mContext.getResources().getDrawable(R.drawable.unchecked_bg);
                mIvSelect.setImageDrawable(uncheckedDrawable);
            }
            itemView.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View v) {
                    adapter.toggleSelection(v, finalPosition, s);
                }
            });
        } else {
            mIvSelect.setVisibility(View.GONE);
            itemView.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View v) {
                    adapter.clickItem(v, finalPosition);
                }
            });
        }

    }
}
